Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027868
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2014-10-14 19:222016-06-24 22:11
Reporterfsoto82View Statuspublic 
Assigned Tofsoto82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision2514ec7e686a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseOracleJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027868: The "Create Standards" process throws a "ORA-01403: no data found" exception.

DescriptionWhen using Oracle the "Create Standards" process throws a "ORA-01403: no data found" exception.
Steps To ReproduceCreate a work effort for a work requirement, using only the obligatory fields.

Run "Create Standards" on "Production Run" tab on "Work Effort" window.
Proposed SolutionUse the patch in attachemnts.
TagsNo tags attached.
Attached Filesdiff file icon 27868.diff [^] (2,151 bytes) 2014-10-14 19:33 [Show Content]
diff file icon MA_PRODUCTIONRUN_STANDARD.diff [^] (1,413 bytes) 2016-06-23 18:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00274863.0PR15Q2 closedVictorVillar The error message should be different for not having the Storage Bin defined, after executing the Create Standards 

-  Notes
(0077386)
plujan (manager)
2015-05-13 15:47

This issue has an attached diff. If it fix the issue, consider including it in the dev branch to mark the issue as fixed
(0087860)
egoitz (developer)
2016-06-23 18:17

attached other change required.

Notice that if the a query does not return any result redirecting to a variable using the select into var sentence
cause a error on oracle so it is needed to ensure that the query always return results and in case of error, that the error is captured with the exception block
(0087907)
hgbot (developer)
2016-06-24 14:37

Repository: erp/devel/pi
Changeset: 2514ec7e686abedcd8efb94e75853a0e417238da
Author: Fernando Soto <fernando.soto <at> peoplewalking.com>
Date: Tue Oct 14 12:30:24 2014 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/2514ec7e686abedcd8efb94e75853a0e417238da [^]

Fixes issue 27868: The Create Standards process throws ORA-01403: no data found

Modified MA_PRODUCTIONRUN_STANDARD to catch the exception.

---
M src-db/database/model/functions/MA_PRODUCTIONRUN_STANDARD.xml
---
(0087908)
aferraz (developer)
2016-06-24 14:41

Code review OK
(0087915)
hudsonbot (developer)
2016-06-24 22:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cc0900cf80c9 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-14 19:22 fsoto82 New Issue
2014-10-14 19:22 fsoto82 Assigned To => dmiguelez
2014-10-14 19:22 fsoto82 Modules => Core
2014-10-14 19:22 fsoto82 Triggers an Emergency Pack => No
2014-10-14 19:23 fsoto82 Status new => scheduled
2014-10-14 19:23 fsoto82 Assigned To dmiguelez => fsoto82
2014-10-14 19:23 fsoto82 fix_in_branch => pi
2014-10-14 19:32 fsoto82 fix_in_branch pi =>
2014-10-14 19:32 fsoto82 Proposed Solution updated
2014-10-14 19:33 fsoto82 Relationship added related to 0027486
2014-10-14 19:33 fsoto82 File Added: 27868.diff
2015-05-13 15:46 plujan Assigned To fsoto82 => Triage Finance
2015-05-13 15:47 plujan Note Added: 0077386
2016-06-22 18:37 egoitz Priority normal => immediate
2016-06-23 18:15 egoitz File Added: MA_PRODUCTIONRUN_STANDARD.diff
2016-06-23 18:17 egoitz Note Added: 0087860
2016-06-24 14:37 hgbot Checkin
2016-06-24 14:37 hgbot Note Added: 0087907
2016-06-24 14:37 hgbot Status scheduled => resolved
2016-06-24 14:37 hgbot Resolution open => fixed
2016-06-24 14:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2514ec7e686abedcd8efb94e75853a0e417238da [^]
2016-06-24 14:40 aferraz Assigned To Triage Finance => fsoto82
2016-06-24 14:41 aferraz Review Assigned To => aferraz
2016-06-24 14:41 aferraz Note Added: 0087908
2016-06-24 14:41 aferraz Status resolved => closed
2016-06-24 14:41 aferraz Fixed in Version => 3.0PR16Q3
2016-06-24 22:11 hudsonbot Checkin
2016-06-24 22:11 hudsonbot Note Added: 0087915


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker